=== debian/changelog ===
slashtime (0.5.13-3) unstable; urgency=medium

  * Team upload.
  [ Vladimir Petko ]
  * d/rules, d/p/slashtime-java9.patch: use JAVA_COMPAT_LEVEL
    environment variable provided by java-common to adjust -source/-target
    level to the minimum required by the default Java (Closes: #1053079).

  [ tony mancill ]
  * Populate upstream and pristine-tar branches
  * Add Vcs URLs for Salsa packaging repo
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.6.2
  * Add patch to update TZ name
  * Set Rules-Requires-Root: no in derbian/control

 -- tony mancill <tmancill@debian.org>  Sun, 03 Dec 2023 21:27:51 -0800

slashtime (0.5.13-2) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.1.1.
  * Change dependency to default-jre | java7-runtime.
  * Add missing Vcs-Browser field.
  * Use https for Format field.
  * Add slashtime-java9.patch and fix FTBFS with Java 9.
    Thanks to Chris West for the report and patch. (Closes: #873255)

 -- Markus Koschany <apo@debian.org>  Tue, 24 Oct 2017 20:10:34 +0200

slashtime (0.5.13-1) unstable; urgency=low

  * Initial release (Closes: #643911)

 -- Guillaume Mazoyer <respawneral@gmail.com>  Fri, 30 Sep 2011 19:14:04 +0200
