=== debian/control ===
Source: slashtime
Section: misc
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Guillaume Mazoyer <respawneral@gmail.com>
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               javahelper,
               libjava-gnome-java (>= 4.1.1)
Standards-Version: 4.6.2
Homepage: https://research.operationaldynamics.com/projects/slashtime/
Vcs-Git: https://salsa.debian.org/java-team/slashtime.git
Vcs-Browser: https://salsa.debian.org/java-team/slashtime
Rules-Requires-Root: no

Package: slashtime
Architecture: all
Depends: default-jre | java7-runtime,
         libjava-gnome-java (>= 4.1.1),
         ${java:Depends},
         ${misc:Depends}
Description: Display the time in various places
 A small program which displays the time in various places. It has a compact
 display of locations along with supporting information such as the date and
 the abbreviated code used to name that timezone.
 .
 Time data displayed will be as accurate as the system's zoneinfo data is used.
 Somewhat unusually, Slashtime shows the offset from the current location, not
 from UTC. When running you can change the center point by double-clicking on
 another city.
 .
 There is a meeting planner built into Slashtime. You can specify a date and
 time and see what the corresponding time in other locations will be.
