=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/java/java_defaults.mk
export JAVA_COMPAT_LEVEL=$(java_compat_level)
JAVA_HOME=/usr/lib/jvm/default-java

override_dh_auto_configure:
	./configure prefix=/usr libdir=/usr/lib/jni jardir=/usr/share/java

%:
	dh $@ --with javahelper
